
Foreman - Bug #1902

Smart Parameters aren't audit logged

10/17/2012 04:29 AM - Endre Karlson

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Audit Log   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1088749 Red Hat JIRA:  

Pull request:    

Description

I thought that when I changed values or anything it should be logged no?

Related issues:

Related to Foreman - Bug #5671: Stack trace due to audit table field being to... Closed 05/12/2014

Related to Foreman - Bug #9003: Host-Audit doesn't show changes in Smart-Para... Resolved 01/16/2015

Has duplicate Foreman - Feature #4247: Provide Audit support for Parameters Duplicate 02/04/2014

Has duplicate Foreman - Feature #6704: Smart Parameter Editing Auditing Duplicate 07/21/2014

Associated revisions

Revision 971fee79 - 04/18/2014 06:48 PM - Dominic Cleal

fixes #1902 - audit changes to lookup keys and values/overrides

Revision c007f069 - 04/28/2014 11:51 AM - Dominic Cleal

fixes #1902 - audit changes to lookup keys and values/overrides

(cherry picked from commit 971fee795383d2f7dc757a91ceb46bd693e20a4d)

History

#1 - 10/25/2012 05:20 AM - Ohad Levy

- Target version set to 1.1

#2 - 11/15/2012 05:46 AM - Ohad Levy

- Assignee set to Amos Benari

- Target version changed from 1.1 to Bug scrub

#3 - 10/16/2013 04:04 PM - Greg Sutcliffe

- Target version deleted (Bug scrub)

#4 - 02/05/2014 08:52 AM - Dominic Cleal

- Has duplicate Feature #4247: Provide Audit support for Parameters added

#5 - 04/17/2014 06:31 AM - Dominic Cleal

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1088749

#6 - 04/17/2014 02:52 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee changed from Amos Benari to Dominic Cleal

- Target version set to 1.8.4
https://github.com/theforeman/foreman/pull/1388

#7 - 04/18/2014 07:31 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 971fee795383d2f7dc757a91ceb46bd693e20a4d.

#8 - 04/18/2014 08:07 PM - Dominic Cleal

- translation missing: en.field_release set to 4

#9 - 05/12/2014 12:48 PM - Dominic Cleal

- Related to Bug #5671: Stack trace due to audit table field being too short added

#10 - 08/18/2014 09:30 AM - Dominic Cleal

- Has duplicate Feature #6704: Smart Parameter Editing Auditing added

#11 - 01/19/2015 04:24 AM - Dominic Cleal

- Related to Bug #9003: Host-Audit doesn't show changes in Smart-Params done in Host-Details added

#12 - 02/26/2015 03:26 PM - Sven Milinski

hey,

are there any new news in this case ? Found that is an important feature.

If you have further informations, please leave a comment...

Thanks

#13 - 02/27/2015 04:19 AM - Ewoud Kohl van Wijngaarden

This issue has been closed and shipped since foreman 1.5.0. Maybe you are running some old version?
